var Db = require('mongodb').Db,
MongoClient = require('mongodb').MongoClient,
Server = require('mongodb').Server,
ReplSetServers = require('mongodb').ReplSetServers,
ObjectID = require('mongodb').ObjectID,
Binary = require('mongodb').Binary,
GridStore = require('mongodb').GridStore,
Grid = require('mongodb').Grid,
Code = require('mongodb').Code;

exports.register = function (name)
{
	//Set up the connection to the local db
	var mongoclient = new MongoClient(new Server("localhost", 27017, {native_parser: true}));

	//Open the connection to the server
	mongoclient.open(function(err, mongoclient) {

	// Get the first db and do an update document on it
	var db = mongoclient.db("integration_tests");
	db.collection('register').insert({name: name}, {w:1}, function(eer,ds){});
	db.collection('mongoclient_register').update({a:name}, {b:"By Sheikh"}, {upsert:true}, function(err, result) {
		  mongoclient.close();
	});
	});
};

exports.addmosque = function(data)
{
	var mongoclient = new MongoClient(new Server("localhost", 27017, {native_parser: true}));

	//Open the connection to the server
	mongoclient.open(function(err, mongoclient) {

	// Get the first db and do an update document on it
	var db = mongoclient.db("pray");
	db.collection('mosque').insert(
			{contact: data.contact, country: data.country, state:data.state, city:data.city, locality:data.locality, mosque:data.mosque},
			{w:1}, function(eer,ds){mongoclient.close();});
	/*db.collection('mongoclient_register').update({a:name}, {b:"By Sheikh"}, {upsert:true}, function(err, result) {
		  mongoclient.close();
	});*/
	});
};


exports.addNewMosque = function(data, callmeback)
{
	var MongoClient = require('mongodb').MongoClient , Server = require('mongodb').Server;
  var mongoClient = new MongoClient(new Server('localhost', 27017));
	mongoClient.open(function(err, mongoClient) {
  	var db1 = mongoClient.db("bookman");
		var collection = db1.collection('mosque');
    collection.insert(
			{contact: data.contact, country: data.country, state:data.state, city:data.city, locality:data.locality, mosque:data.mosque},
			{w:1}, function(eer,ds){mongoclient.close();});
  	mongoClient.close();
		callmeback();
});

};

exports.addNewMoreMosque = function(data, callmeback){
	var MongoClient = require('mongodb').MongoClient;
	MongoClient.connect("mongodb://localhost:27017/bookman", function(err, db) {
  	var collection = db.collection("mosque")
		collection.insert(
			{contact: data.contact, country: data.country, state:data.state, city:data.city, locality:data.locality, mosque:data.mosque},
			{w:1}, function(eer,ds){});

		callmeback();
  });
};

exports.addmosqueAtServer = function(data, callbackx)
{
	var MongoClient = require('mongodb').MongoClient
    , format = require('util').format;

  MongoClient.connect('mongodb://localhost:27017/bookman', function(err, db) {
    if(err) throw err;

    var collection = db.collection('mosque');
    collection.insert(
			{contact: data.contact, country: data.country, state:data.state, city:data.city, locality:data.locality, mosque:data.mosque},
			{w:1}, function(eer,ds){mongoclient.close();});
      // Locate all the entries using find
      	collection.find().toArray(function(err, results) {
        console.dir(results);
        // Let's close the db
        db.close();
				callbackx();
      });
    });
};



exports.getMosquesfromserver = function(callback)
{
	var MongoClient = require('mongodb').MongoClient;

	// Connect to the db
	MongoClient.connect("mongodb://ali:baba@paulo.mongohq.com:10039/bookman", function(err, db) {
	  if(err) { return console.dir(err); }

	  var collection = db.collection('mosque');
	  //var dataar = [];

	  collection.find().toArray(function(err, items) {

		  callback(null, items);
		  });
	});
};


exports.getAllMasajid = function(callmeback){
	var MongoClient = require('mongodb').MongoClient;
	MongoClient.connect("mongodb://localhost:27017/bookman", function(err, db) {
  	var collection = db.collection("mosque")
		collection.find().toArray(function(err, items){
			callmeback(null,items);
		});
  });
};

exports.getMosques = function(callback)
{
	var MongoClient = require('mongodb').MongoClient;

	// Connect to the db
	MongoClient.connect("mongodb://localhost:27017/pray", function(err, db) {
	  if(err) { return console.dir(err); }

	  var collection = db.collection('mosque');
	  //var dataar = [];

	  collection.find().toArray(function(err, items) {

		  callback(null, items);
		  });
	  //console.log(dataar.length);
	});
};

exports.getAll	= function ()
{
	var mongoclient = new MongoClient(new Server("localhost", 27017, {native_parser: true}));
	//Open the connection to the server
	mongoclient.open(function(err, mongoclient) {

	// Get the first db and do an update document on it
	var db = mongoclient.db("integration_tests");
	var col = db.collection('register');
	var result = col.find({},{_id:0,name:1});
	var rest = '';

	col.find().toArray(function(err, results) {
        console.dir(results);
        db.close();
      });
	console.log(result.toString());

	var rest = '';

	var collection = db
    .collection('register')
    .find({},{_id:0,name:1})
    .limit(10)
    .each(function(err, docs) {
    	rest = err;
    });

	//return collection[0].name;
	var r='';
	if(rest == null)
		r="null";
	else
		r=rest;
	return r.toString();
	});
}
