'use strict';

/* Controllers */



angular.module('myApp.controllers', ['ngAnimate','ui.bootstrap']).
  controller('AppCtrl', function ($scope, $http,$location) {
      $http({
          method: 'GET',
          url: '/api/name'
      }).
    success(function (data, status, headers, config) {
        $scope.name = data.name;
    }).
    error(function (data, status, headers, config) {
        $scope.name = 'Error!'
    });

    $scope.getClass = function (path) {
      if ($location.path().substr(0, path.length) === path) {
        return 'active';
        } else {
          return '';
        }
      };

      $http({ method: 'GET', url: '/mq/sp' }).success(function (data, status, headers, config) {
          $scope.name2 = data[1].country;

      });

  }).
  controller('MyCtrl1x', function ($scope,$http) {
    //$http.defaults.headers.post["Content-Type"] = "application/x-www-form-urlencoded";
		$http({method:'GET', url:'/alibaba/rexton'}).success(function(data, status, headers, config){
			$scope.Trax = data;
		});

  })
  .controller('MyCtrl2', function ($scope) {
      // write Ctrl here

  })
  .controller('ShowallCtrl',function($scope,$http){
	
	$scope.gridOptions = { data : {} };
	
    $http({
      method:'GET',
      url:'api/getallmasajid'
     }).success(function(data,status, headers, config){       
		$scope.columns = [{ field: 'mosque' },{ field: 'location' }, { field: 'city' }, { field: 'state' },{ field: 'country' }, { field: 'contact' }];     		$scope.gridOptions = { 
			columnDefs: $scope.columns,
			data : data.masajid
		};
		//$scope.$apply();
      });
    $scope.cmp = "test";
  })
  .controller('AddMasjidCtrl', function($scope, $http, $modal){
    $scope.items = ['item1', 'item2', 'item3'];
    $scope.clear = function(){
      $scope.mosque = '';
      $scope.locality = '';
      $scope.city = '';
      $scope.state = '';
      $scope.country = '';
      $scope.contact = '';
    };


    $scope.savemasjid = function(){
      var formData = {
        'mosque':$scope.mosque,
        'locality': $scope.locality,
        'city': $scope.city,
        'state': $scope.state,
        'country' : $scope.country,
        'contact' : $scope.contact
          };

      $http({
        method:'POST',
        url:'api/savemasjid',
        data: formData,
        transformRequest: function(obj) {
        var str = [];
        for(var p in obj)
        str.push(encodeURIComponent(p) + "=" + encodeURIComponent(obj[p]));
        return str.join("&");
    },
        headers: {'Content-Type': 'application/x-www-form-urlencoded'}
      }).success(function(data,status, headers, config){
        $scope.open();
      });
    };

    $scope.open = function (size) {

    var modalInstance = $modal.open({
      animation: $scope.animationsEnabled,
      templateUrl: 'myModalContent.html',
      controller: 'ModalInstanceCtrl',
      size: size,
      resolve: {
        items: function () {
          return $scope.items;
        }
      }
    });

    modalInstance.result.then(function (selectedItem) {
      $scope.selected = selectedItem;
    }, function () {
      $log.info('Modal dismissed at: ' + new Date());
    });
  };
  })
  .controller('MyCtrl1',function($scope, $http){
	$http({method:'GET', url:'/alibaba/getmdetails'}).success(function(data, status, header, config){
		$scope.masajid = data;
		$scope.$apply();
	});

}).controller('ModalInstanceCtrl', function ($scope, $modalInstance, items) {

  $scope.items = items;
  $scope.selected = {
    item: $scope.items[0]
  };

  $scope.ok = function () {
    $modalInstance.close($scope.selected.item);
  };

  $scope.cancel = function () {
    $modalInstance.dismiss('cancel');
  };
});
